import 'dart:convert';

class CovidQuestionnaireModel {
  int? id;
  String? questionEn;
  String? questionAr;
  int? ans;

  CovidQuestionnaireModel({
    this.id,
    this.questionEn,
    this.questionAr,
    this.ans,
  });

  factory CovidQuestionnaireModel.fromRawJson(String str) => CovidQuestionnaireModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory CovidQuestionnaireModel.fromJson(Map<String, dynamic> json) => CovidQuestionnaireModel(
    id: json["id"],
    questionEn: json["questionEN"],
    questionAr: json["questionAR"],
    ans: json["ans"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "questionEN": questionEn,
    "questionAR": questionAr,
    "ans": ans,
  };
}
